/* COLORS */
/* TYPOGRAPHY */
/* ---- MEDIA QUERIES ----- */
.table-of-content {
  position: sticky;
  top: 12rem;
  left: 0;
}
.table-of-content .heading {
  font-weight: 400;
  font-size: 2.5rem;
  margin: 0 0 3.5rem;
}
.table-of-content .icon {
  display: none;
}
.table-of-content .toc-item a {
  color: #000;
}
.table-of-content .toc-item a.is-in-view {
  color: #5ABF39;
}

@media (max-width: 768px) {
  .table-of-content {
    position: static;
    padding-bottom: 0 !important;
  }
  .table-of-content .heading-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
  }
  .table-of-content .heading-container:hover {
    cursor: pointer;
  }
  .table-of-content .heading {
    font-size: 2rem;
    margin: 0rem;
  }
  .table-of-content .icon {
    display: block;
    font-size: 2rem;
  }
  .table-of-content .toc {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease;
  }
  .table-of-content .toc-item:first-child {
    margin-top: 2rem;
  }
  .table-of-content .toc-item a {
    font-size: 1.7rem;
  }
  .table-of-content .toc-item a.is-in-view {
    color: #000;
  }
}